//**********************************************************************************************************************
/**
* COMPANY: Zipline Interactive
* EMAIL: info@gozipline.com
* PHONE: 509-321-2849
* DESCRIPTION: This document contains programming required for the website templates.  Requires the jQuery library.
*/
//***********************************************************************************************************************


//***********************************************************************************************************************
//ON DOCUMENT READY FUNCTIONS
//***********************************************************************************************************************
$(function() {
	// Owl-carousel
	$("#owl-demo").owlCarousel({
		autoPlay: 3000, //Set AutoPlay to 3 seconds
		items : 2,
		itemsMobile : [479,2],
		singleItem : false,
		autoPlay: false,
		loop : true,
		pagination : false,
		navigation : true,
	});


	function addRemoveClass(selectorClass, nextClass, findClass, toggleClassName){
		$(selectorClass).hover(function(){
			$(this).next(nextClass).find(findClass).toggleClass(toggleClassName);
		});
	}
	addRemoveClass('.offcanvas-mb ul li', 'li', 'a', 'no-more');



	$('.has-dropdown').on('click', function(){
		$(this).toggleClass('active-dropdown');
		if($(this).hasClass('active-dropdown')){
			$('.active-dropdown').next('li').find('a').addClass('no-more-temp');
		}else{
			$(this).next('li').find('a').removeClass('no-more-temp');
		}
	});

	//accordion
	
	// $('.panel-span').has('i.icon-minus').closest('.panel-span').addClass('black');		
	$('.panel-span.blackish').addClass('black');
	
	$('.panel-heading h4.panel-title').on('click', function(){
		$(this).closest('.panel')
			.siblings()
			.find('h4.panel-title')
			.find('i')
			.removeClass('icon-minus')
			.addClass('icon-plus');
			// $('i').addClass('black');

		if($(this).find('i').hasClass('icon-plus')){
			$(this).find('i')
				.removeClass('icon-plus')
				.addClass('icon-minus');

			$(this).find('span.panel-span').addClass('black').closest('.panel').siblings().find('span.panel-span').removeClass('black');

		}else{
			$(this).find('i')
				.removeClass('icon-minus')
				.addClass('icon-plus');
		}
		$('.panel-span.black').on('click', function(){
			$(this).removeClass('black');
		});

	});


	

});

